POST api/invoices/addcharges
Request Information
URI Parameters
None.
Body Parameters
InvoiceChargeDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| securetyUserId | globally unique identifier |
None. |
|
| invoiceId | globally unique identifier |
None. |
|
| chargeAmount | decimal number |
None. |
|
| chargeType | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"securetyUserId": "2c1c2dc4-44d2-4a61-bd14-58df7b54a8f8",
"invoiceId": "e7110e58-2ba9-4dee-bb68-0b2e9400df8c",
"chargeAmount": 1.0,
"chargeType": "sample string 1"
}
application/xml, text/xml
Sample:
<InvoiceChargeDTO xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/WebAPI.DTO.Net"> <chargeAmount>1</chargeAmount> <chargeType>sample string 1</chargeType> <invoiceId>e7110e58-2ba9-4dee-bb68-0b2e9400df8c</invoiceId> <securetyUserId>2c1c2dc4-44d2-4a61-bd14-58df7b54a8f8</securetyUserId> </InvoiceChargeDTO>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
JsonResultOfAPIResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| Content | APIResponse |
None. |
|
| SerializerSettings | JsonSerializerSettings |
None. |
|
| Encoding | Encoding |
None. |
|
| Request | HttpRequestMessage |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.